ERROR: Hook 'openswap' cannot be found

Hi,
for some time now i get the following error message when updating (during image creation):

ERROR: Hook ‘openswap’ cannot be found

The system is working correctly (at least I do not notice any problems) but the error is showing on every update. How can I fix the issue?

Full log:

==> Building image from preset: /etc/mkinitcpio.d/linux.preset: ‘default’
→ -k /boot/vmlinuz-linux -c /etc/mkinitcpio.conf -g /boot/initramfs-linux.img
==> Starting build: 6.0.5-arch1-1
→ Running build hook: [base]
→ Running build hook: [udev]
→ Running build hook: [autodetect]
→ Running build hook: [modconf]
→ Running build hook: [block]
→ Running build hook: [keyboard]
→ Running build hook: [keymap]
→ Running build hook: [consolefont]
==> WARNING: consolefont: no font found in configuration
→ Running build hook: [encrypt]
==> WARNING: Possibly missing firmware for module: qat_4xxx
==> ERROR: Hook ‘openswap’ cannot be found
→ Running build hook: [resume]
→ Running build hook: [filesystems]
→ Running build hook: [fsck]
==> Generating module dependencies
==> Creating zstd-compressed initcpio image: /boot/initramfs-linux.img
==> WARNING: errors were encountered during the build. The image may not be complete.

Thank you
Sebastian

Don’t you need the package:

mkinitcpio-openswap

from EnOS’ repo for that hook?

@borsti

If you are still having this issue, please look at the following for the solution:

Thank you, this resolves the issue!

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.